; $Id: threedenpro_createdensityisosurfaces.pro,v 1.1 2008/07/01 22:20:35 kneller Exp $




pro threedenpro_createDensityIsosurfaces,isosurfacemodel,vol,thresh,abc,abg,nx,ny,nz


  ;isosurfacemodel = obj_new('idlgrmodel',name='isosurfacemodel')
  isosurfacemodel = obj_new('idlgrmodel',name='isosurfacemodel',hide=0)

  ;NOW DEALING WITH THE ISOSURFACE OF THE GRID FILE.
  ;ADD SOME KIND OF ISOSURFACE FOR DEMO
  if n_elements(thresh) eq 0 then thresh = 1.0
   for iiii = 0,n_elements(thresh)-1 do begin

         SHADE_VOLUME, vol, thresh[iiii], verts, poly;, LOW = low

         if n_elements(verts) gt 5 then begin

           ;SCALE VERTICES FOR SIZE OF 3d ARRAY
           ;i.e. EACH EDGE GOES FROM 0-1.
           szvol = size(vol)
           szverts = size(verts)

           verts[0,*] = verts[0,*]/double(szvol[1])
           verts[1,*] = verts[1,*]/double(szvol[2])
           verts[2,*] = verts[2,*]/double(szvol[3])

           ;SKEW THE ISOSURFACES COORDS BASED ON abc, abg
           ;coords2 = cifviewSpecial_calculateVolCoords(abc,abg,verts,poly,x,y,z)
           coords2 = threeDenPro_calculateVolCoords(abc,abg,verts,poly,x,y,z)

           isocolor = [80,80,190]
           polygon = obj_new('IDLgrPolygon',coords2[0,*],coords2[1,*],coords2[2,*],polygons=poly,color=isocolor);[100,130,110])
           if iiii eq 0 then hide = 0 else hide = 1

           polygon->setproperty,hide=hide
           isosurfacemodel->add,polygon
       endif
   endfor;iiii

end;threedenpro_createDensityIsosurfaces
