; $Id: nse_cwo_progress.pro,v 1.2 2010/09/03 21:29:02 kneller Exp $

;LRK - 12/08/09
;
;DEFINE A NEW PROGRESS WIDGET THAT CHECKS FOR THE STOP BUTTON AND
;IS AN OBJECT
;
;SET UP IN PROGRESS BAR AND TEXT WIDGET COUNTDOWN MODES
;
;LRK - 09/03/10
;
;
;


function nse_cwo_progress,title=title,$
                          labels=labels,$
                          values=values,$
                          startvalues=startvalues,$
                          endvalues=endvalues,$
                          steps=steps,$                                
                          dialog_parent=dialog_parent,$      ;FOR LOCATION AND group_leader
                          group_leader=group_leader,$ 
                          xoffset=xoffset,yoffset=yoffset,$
                          obj=obj,nostop=nostop,$
                          tlb=tlb,$
                          xsize=xsize,$
                          _Extra=extra 

  obj = obj_new('nse_cwo_progress_class',title=title,$
                                          labels=labels,$
                                          values=values,$
                                          startvalues=startvalues,$
                                          endvalues=endvalues,$
                                          steps=steps,$                                
                                          dialog_parent=dialog_parent,$
                                          group_leader=group_leader,$ 
                                          xoffset=xoffset,yoffset=yoffset,$
                                          tlb=tlb,nostop=nostop,$
                                          xsize=xsize,$
                                          _Extra=extra)

  return,tlb

end;nse_cwo_progress                          
pro test_nse_cwo_progress


  endvalues=[1000L,2000L,3000L]
  duh = nse_cwo_progress(labels=['A:','2:','d    :'],$
                         startvalues=[0,0,0],$
                         endvalues=endvalues,$
                         values=[0,0,0L],$
                         steps=[1L,1,1],$
                         obj=obj)

  progressstopped = 0
  for i=0L,endvalues[0] do begin 
    for j=0L,endvalues[1] do begin 
      for k=0L,endvalues[2] do begin 
        obj->set,0,i
        obj->set,1,j
        obj->step,2
        progressstopped=obj->checkStop()
        if progressstopped eq 1 then break
      endfor;k
      if progressstopped eq 1 then break 
    endfor;j
    if progressstopped eq 1 then break 
  endfor;i

  if obj_valid(obj) gt 0 then obj_destroy,obj
end;test_nse_cwo_progress

