


;####################################################################
pro test_recipQEEfix,o1,o2,a,b,c,alpha,beta,gamma,Q,Efix,E,$
                        init=init,final=final,hkl=hkl,$
                        qwid=qwid,ewid=ewid,scanwid=scanwid,$
                        harmonics=harmonics,zhat_hkl=zhat_hkl


    ;INPUTS:
    ;a,b,c,alpha,beta,gamma
    ;o1,o2
    ;hkl,strf

    if n_elements(init)  eq 0 then init  = 0
    if n_elements(final) eq 0 then final = 0
    if n_elements(harmonics) eq 0 then harmonics = 0

    if init eq 0 and final eq 0 then final = 1

    hkl = make_hkl(31)  ;hkl, strf COULD BE INPUT

    result = recip_kikf(o1,o2,a,b,c,alpha,beta,gamma,Q,Efix,E,init=init,final=final)
    ki_hkl = result.ki
    kf_hkl = result.kf




;10) FINALLY PASS ki,kf TO ki,kf PROGRAM
    if total(finite(ki_hkl,/nan)+finite(kf_hkl,/nan)) ne 0 then begin
        return
    endif else begin
        test_recip,o1,o2,a,b,c,alpha,beta,gamma,ki=ki_hkl,kf=kf_hkl,$
                    qwid=qwid,ewid=ewid,scanwid=scanwid,harmonics=harmonics
    endelse

end;test_recipQEEfix


