; $Id: ui_setdataaxeslabels.pro,v 1.1 2008/06/17 16:24:44 azuah Exp $
;###############################################################################
;+
; NAME:
;   ui_setDataAxesLabels
;
; PURPOSE:
;   User Interface Service for launching the Set Data Axes Labels dialog
;
; CATEGORY:
;   DAVE Widgets
;
;
; Richard Tumanjong Azuah
; NIST Center for Neutron Research
; azuah@nist.gov; (301) 9755604
; Sep 2006
;-
;###############################################################################

;===============================================================================
function ui_setDataAxesLabels, oUI, oRequester
compile_opt idl2

oUI->GetProperty, group_leader=wTLB

oRequester->GetProperty, label=label

success = wd_setDataAxesLabels(label, group_leader=wTLB)

if (success) then oRequester->SetProperty, label=label

return, success

end
