; $Id: dave_idlreservedwords.pro,v 1.1 2009/12/01 22:52:29 kneller Exp $


;function dave_checkForIDLReservedWords,s
;
;  dave_IDLReservedWords,r
;  
;  for i=0,n_elements(r)-1 do begin
;    count = -1
;    wh = where(stregex(strupcase(s),strupcase(r[i])) ne -1,count)
;    if count ne 0 then print,'lines with '+r[i]+':',count    
;    if count gt 0 then begin
;      for k=0,count-1 do begin
;              segs = strsplit(s[wh[k]],/extract)
;              for j=0,n_elements(segs)-1 do begin
;                wh_space = where(stregex(strupcase(segs[j]),strupcase(r[i])) ne -1,spacecount)
;                if spacecount ne 0 then print,'space separation check:  ',r[i],spacecount
;                
;              end;j
;              segs = strsplit(s[wh[k]],'=',/extract)
;              for j=0,n_elements(segs)-1 do begin
;                wh_equals = where(stregex(strupcase(segs[j]),strupcase(r[i])) ne -1,equalscount)
;                if equalscount ne 0 then print,'equals separation check: ',r[i],equalscount
;              end;j
;      endfor;k
;    endif
;    
;  endfor;i
;
;  if count ne 0 then return,1 else return,0
;end;dave_checkForIDLReservedWords
;


;RETURN THE ARRAY OF IDL RESERVED WORDS FOR TEXT CHECKING
;ESPECIALLY FOR PAN MACROS
pro dave_IDLReservedWords,resWords
      resWords = ['AND',$
                  'BEGIN',$
                  'BREAK',$
                  'CASE',$
                  'COMMON',$
                  'COMPILE_OPT',$
                  'CONTINUE',$
                  'DO',$
                  'ELSE',$
                  'END',$
                  'ENDCASE',$
                  'ENDELSE',$
                  'ENDFOR',$
                  'ENDIF',$
                  'ENDREP',$
                  'ENDSWITCH',$
                  'ENDWHILE',$
                  'EQ',$
                  'FOR',$
                  'FORWARD_FUNCTION',$
                  'FUNCTION',$
                  'GE',$
                  'GOTO',$
                  'GT',$
                  'IF',$
                  'INHERITS',$
                  'LE',$
                  'LT',$
                  'MOD',$
                  'NE',$
                  'NOT',$
                  'OF',$
                  'ON_IOERROR',$
                  'OR',$
                  'PRO',$
                  'REPEAT',$
                  'SWITCH',$
                  'THEN',$
                  'UNTIL',$
                  'WHILE',$
                  'XOR']

end;dave_IDLReservedWords